Name:		bzflag
Summary:	A multiplayer 3D tank battle game
Epoch:          1
Version:	2.4.26
Release:	%mkrel 1
License:	LGPLv2
Group:		Games/Arcade
URL:		https://bzflag.org/
Source0:	https://download.bzflag.org/bzflag/source/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcares)
BuildConflicts:	freetds-devel

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q

%build
# We need to install the plugins under %%{_libdir}/%%{name} so they won't get
# in the way.
%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--enable-robots \
	--libdir=%{_libdir}/%{name} \
	--with-SDL=2
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_gamesdatadir}/bzflag/bzflag.desktop  %{buildroot}%{_datadir}/applications/bzflag.desktop
mkdir -p %{buildroot}%{_iconsdir}/large
mv %{buildroot}%{_gamesdatadir}/bzflag/bzflag-48x48.png %{buildroot}%{_liconsdir}/%{name}-48x48.png

find %{buildroot} -name '*.la' -delete

%files
%doc README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/%{name}.desktop
%{_liconsdir}/%{name}-48x48.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so


%changelog
* Mon Jan 02 2023 ghibo <ghibo> 1:2.4.26-1.mga9
+ Revision: 1929147
- Update to release 2.4.26

* Sat Aug 27 2022 wally <wally> 1:2.4.24-1.mga9
+ Revision: 1880982
- new version 2.4.24

* Mon Apr 04 2022 umeabot <umeabot> 1:2.4.22-2.mga9
+ Revision: 1843558
- Mageia 9 Mass Rebuild

* Fri Apr 09 2021 daviddavid <daviddavid> 1:2.4.22-1.mga9
+ Revision: 1714314
- new version: 2.4.22

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1:2.4.20-2.mga8
+ Revision: 1651340
- rebuild for glew

* Sun Apr 26 2020 zezinho <zezinho> 1:2.4.20-1.mga8
+ Revision: 1572319
- use tarball provided icon
- new version 2.4.20

* Mon Feb 17 2020 umeabot <umeabot> 1:2.4.18-3.mga8
+ Revision: 1537527
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 03 2019 daviddavid <daviddavid> 1:2.4.18-2.mga8
+ Revision: 1457473
- switch to SDL2

* Wed Oct 24 2018 zezinho <zezinho> 1:2.4.18-1.mga7
+ Revision: 1324992
- new version 2.4.18

* Thu Sep 27 2018 zezinho <zezinho> 1:2.4.16-1.mga7
+ Revision: 1308648
- new version 2.4.16

* Sat Sep 22 2018 umeabot <umeabot> 1:2.4.14-2.mga7
+ Revision: 1295754
- Mageia 7 Mass Rebuild

* Wed May 16 2018 zezinho <zezinho> 1:2.4.14-1.mga7
+ Revision: 1229792
- new version 2.4.14

* Thu Mar 22 2018 zezinho <zezinho> 1:2.4.12-1.mga7
+ Revision: 1211254
- new version 2.4.12

* Sat Nov 12 2016 akien <akien> 1:2.4.8-1.mga6
+ Revision: 1066725
- Version 2.4.8

* Sun Sep 11 2016 akien <akien> 1:2.4.6-1.mga6
+ Revision: 1051565
- Version 2.4.6

* Tue May 10 2016 zezinho <zezinho> 1:2.4.4-1.mga6
+ Revision: 1012037
- new version 2.4.4

* Sat Feb 13 2016 umeabot <umeabot> 1:2.4.2-12.mga6
+ Revision: 959648
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1:2.4.2-11.mga6
+ Revision: 868795
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 1:2.4.2-10.mga6
+ Revision: 841997
- Rebuild for GLEW 1.12

* Thu Nov 13 2014 akien <akien> 1:2.4.2-9.mga5
+ Revision: 796863
- Remove compilation flags that cause a segfault

* Wed Oct 15 2014 umeabot <umeabot> 1:2.4.2-8.mga5
+ Revision: 744099
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1:2.4.2-7.mga5
+ Revision: 693533
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:2.4.2-6.mga5
+ Revision: 678263
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1:2.4.2-5.mga5
+ Revision: 670260
- rebuild for glew

* Sat Oct 19 2013 umeabot <umeabot> 1:2.4.2-4.mga4
+ Revision: 530458
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1:2.4.2-3.mga4
+ Revision: 457685
- Rebuild for new glew

* Fri Jan 11 2013 umeabot <umeabot> 1:2.4.2-2.mga3
+ Revision: 347262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 zezinho <zezinho> 1:2.4.2-1.mga3
+ Revision: 309135
- enable exception
- new version

* Tue Aug 28 2012 fwang <fwang> 1:2.4.0-5.mga3
+ Revision: 284929
- rebuild for new glew

* Wed Jul 25 2012 fwang <fwang> 1:2.4.0-4.mga3
+ Revision: 274241
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 1:2.4.0-3.mga2
+ Revision: 151165
- rebuild for new glew

* Wed Sep 21 2011 fwang <fwang> 1:2.4.0-2.mga2
+ Revision: 146389
- drop .la files

* Fri Sep 16 2011 shlomif <shlomif> 1:2.4.0-1.mga2
+ Revision: 144306
- Bumped to 2.4.0. Placed the plugins in their own dir.

* Mon Apr 25 2011 wally <wally> 1:2.0.16-4.mga1
+ Revision: 90300
- fix desktop file (mga#954)
- drop buildroot definition
- clean .spec a bit
+ steletch <steletch>
- Remove obsolete mdk macros

* Tue Mar 15 2011 steletch <steletch> 1:2.0.16-3.mga1
+ Revision: 72251
- Remove obsolete mdk macros
- imported package bzflag


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 1:2.0.16-3mdv2011.0
+ Revision: 635012
- rebuild
- tighten BR

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.16-2mdv2011.0
+ Revision: 603775
- rebuild

* Sat Apr 24 2010 Emmanuel Andry <eandry@mandriva.org> 1:2.0.16-1mdv2010.1
+ Revision: 538499
- New version 2.0.16

* Fri Feb 19 2010 Frederik Himpe <fhimpe@mandriva.org> 1:2.0.14-1mdv2010.1
+ Revision: 508491
- Update to new version 2.0.14
- Remove gcc 4.3 patch integrated upstream

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.12-2mdv2010.0
+ Revision: 413189
- rebuild

* Thu Jun 26 2008 Funda Wang <fwang@mandriva.org> 1:2.0.12-1mdv2009.0
+ Revision: 229211
- New version 2.0.12

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 1:2.0.10-2mdv2009.0
+ Revision: 213232
- add fedora patches

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 1:2.0.10-1mdv2008.1
+ Revision: 109289
- New release 2.0.10

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.0.8-7mdv2008.0
+ Revision: 34340
- Rebuild with libslang2.

* Sun May 27 2007 Funda Wang <fwang@mandriva.org> 1:2.0.8-6mdv2008.0
+ Revision: 31710
- Rebuild against directfb 1.0


* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.8-5mdv2007.0
+ Revision: 125208
- rebuild against new libgii

* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.8-4mdv2007.1
+ Revision: 109480
- Rebuild against new curl
- Import bzflag

* Sun Sep 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-3mdv2007.0
- compile with -O1 to have shots fired actually hit stuff too

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.8-2mdv2007.0
- xdg menu
- fix buildrequires
- add missing buildrequires SDL-devel SDL_image-devel

* Wed May 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-1mdk
- 2.0.8
- drop devel package

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1:2.0.4-4mdk
- rebuild for sparc

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-3mdk
- Fixing build requires

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-2mdk
- Fixing description

* Tue Mar 14 2006 Erwan Velu <erwan@seanodes.com> 2.0.4-1mdk
- 2.0.4
- Enable robot
- Adding devel files

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.2-3mdk
- rebuilt against openssl-0.9.8a

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 1:2.0.2-2mdk
- rebuild
- Patch0: allows to build with new gcc

* Sat Apr 30 2005 Lenny Cartier <lenny@mandriva.com> 2.0.2-1mdk
- from Emmanuel Andry <eandry@free.fr> : 
	- 2.0.2 "Queen of Maybe"

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0 "Falcor's Despair"
- update compile flags

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.10.8-1mdk
- 1.10.8
- drop Packager tag

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.10.6-3mdk
- Rebuild with new menu

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 1.10.6-2mdk 
- rebuild for new gcc

* Fri May 21 2004 Michael Scherer <misc@mandrake.org> 1.10.6-1mdk
- New release 1.10.6

